
QGIS Application - Bug report #5085

Font size is not correctly exported to SVG/PDF

2012-02-24 10:40 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14851

Description

This is easily reproducible by adding a label to print composer layout in a given font, e.g. Arial 10. After exporting to SVG and opening in

Inkscape, the font is specified as Arial 12,398 there.

Export to image seems to preserve the correct font size.

History

#1 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#2 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#4 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-12-08 07:18 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

on QGIS 2.13 master, the SVG conversion of a label in DejaVu Sans 10 gives a DejaVu Sans 9,9188 in Inkscape which seems correct, isn't it ?

#6 - 2015-12-08 07:37 AM - Anita Graser

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Yes, the font size seems correct now. Thanks for checking!
